[Scilab-users] Scilab-6.1 fails on OpenSuse Leap 15.2

classic Classic list List threaded Threaded
2 messages Options
Serge Steer Serge Steer
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] Scilab-6.1 fails on OpenSuse Leap 15.2

When Scilab 6.1.0 is launched one gets the error message

"scilab-bin: error while loading shared libraries: libldap-2.4.so.2: cannot open shared object file: No such file or directory"

There is no libldap-2.4.so.2 in /usr/lib but a libldap_r-2.4.so.2

I was not able to find a way to install the libldap-2.4.so.2 for openSuse Leap 15.2

Serge Steer


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Clément David-3 Clément David-3
Reply | Threaded
Open this post in threaded view
|

Re: Scilab-6.1 fails on OpenSuse Leap 15.2

Hello Serge,

This is known issue, reported as https://bugzilla.scilab.org/show_bug.cgi?id=16368 . To "fix" it, use your system libcurl.so by removing some files (listed on the bug comments) from the Scilab binary.

Thanks,

Clément DAVID

> -----Original Message-----
> From: users <[hidden email]> On Behalf Of Steer Serge
> Sent: Saturday, September 12, 2020 10:32 PM
> To: [hidden email]
> Subject: [Scilab-users] Scilab-6.1 fails on OpenSuse Leap 15.2
>
> When Scilab 6.1.0 is launched one gets the error message
>
>
> "scilab-bin: error while loading shared libraries: libldap-2.4.so.2: cannot open
> shared object file: No such file or directory"
>
> There is no libldap-2.4.so.2 in /usr/lib but a libldap_r-2.4.so.2
>
> I was not able to find a way to install the libldap-2.4.so.2 for openSuse Leap
> 15.2
>
> Serge Steer
>

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users